#
#Conditional build:
%bcond_without	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	WWW-Mechanize
Summary:	Test::WWW::Mechanize - Testing-specific WWW::Mechanize subclass
Summary(pl.UTF-8):	Test::WWW::Mechanize - podklasa WWW::Mechanize służąca do testów
Name:		perl-Test-WWW-Mechanize
Version:	1.52
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3b21bf194ea8420aaf27bf7b972f919a
URL:		http://search.cpan.org/dist/Test-WWW-Mechanize/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Carp-Assert-More
BuildRequires:	perl-Test-LongString
BuildRequires:	perl(Test::Builder::Tester) >= 1.09
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::WWW::Mechanize is a subclass of WWW::Mechanize that incorporates
features for web application testing.

%description -l pl.UTF-8
Test::WWW::Mechanize to podlasa WWW::Mechanize zawierająca
funkcjonalność przeznaczoną do testowania aplikacji WWW.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Test/WWW/Mechanize

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Test/WWW/*.pm
%dir %{perl_vendorlib}/Test/WWW/Mechanize
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-WWW-Mechanize.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ab55fe
- up to 1.52

* Fri Jan 30 2009 radek <radek@pld-linux.org> 9d6c027
- version 1.24

* Sun Jan 11 2009 radek <radek@pld-linux.org> c1b3da8
- release 3: add the %{perl_vendorlib}/Test/WWW/Mechanize dir

* Sat Dec 13 2008 Jakub Bogusz <qboosh@pld-linux.org> fad7ff8
- pl

* Fri Dec 12 2008 radek <radek@pld-linux.org> 89e153d
- release 2: BR: Test::Builder::Tester

* Fri Dec 12 2008 radek <radek@pld-linux.org> 071a7e6
- BR: perl-Test-LongString

* Fri Dec 12 2008 radek <radek@pld-linux.org> 55bc23f
- version 1.22

* Tue Sep 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f334a16
- release 2

* Sat Aug 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 73436d6
- initial

